package com.siginfo.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.siginfo.dao.SigOpenDao;
import com.siginfo.vo.CrossRoadInfoDetailVO;
import com.siginfo.vo.CrossRoadInfoHeaderVO;
import com.siginfo.vo.CrossRoadInfoListVO;
import com.siginfo.vo.PlanCRHDInfoVO;
import com.siginfo.vo.PlanCROPInfoVO;
import com.siginfo.vo.PlanCRRSInfoVO;
import com.siginfo.vo.PlanCRWDInfoVO;


@Service
public class SigOpenService {

	@Autowired
	private SigOpenDao sigOpenDao;
	
	public List<CrossRoadInfoHeaderVO> getTotalCount(Map<String,Object> paramMap) throws Exception {
		return sigOpenDao.getTotalCount(paramMap);
	}
	
	public List<CrossRoadInfoListVO> listList(Map<String,Object> paramMap) throws Exception {
		return sigOpenDao.listList(paramMap);
	}
	
	public List<CrossRoadInfoDetailVO> detailList(Map<String,Object> paramMap) throws Exception {
		return sigOpenDao.detailList(paramMap);
	}
	
	public List<PlanCRHDInfoVO> crhdList(Map<String,Object> paramMap) throws Exception {
		return sigOpenDao.crhdList(paramMap);
	}
	
	public List<PlanCRWDInfoVO> crwdList(Map<String,Object> paramMap) throws Exception {
		return sigOpenDao.crwdList(paramMap);
	}
	
	public List<PlanCRRSInfoVO> crrsList(Map<String,Object> paramMap) throws Exception {
		return sigOpenDao.crrsList(paramMap);
	}
	
	public List<PlanCROPInfoVO> cropList(Map<String,Object> paramMap) throws Exception {
		return sigOpenDao.cropList(paramMap);
	}
	
}
